clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
ClangTidyDiagnosticConsumer.cpp File Reference
`#include "ClangTidyDiagnosticConsumer.h"`
`#include "ClangTidyOptions.h"`
`#include "clang/AST/ASTDiagnostic.h"`
`#include "clang/Basic/DiagnosticOptions.h"`
`#include "clang/Frontend/DiagnosticRenderer.h"`
`#include "llvm/ADT/SmallString.h"`
`#include <tuple>`
`#include <vector>`
Include dependency graph for ClangTidyDiagnosticConsumer.cpp:

Go to the source code of this file.

## Functions
static bool | ConsumeNegativeIndicator (StringRef &GlobList)
static llvm::Regex | ConsumeGlob (StringRef &GlobList)

## Function Documentation

static llvm::Regex ConsumeGlob | ( | StringRef & | GlobList | ) |
| static

Definition at line 132 of file ClangTidyDiagnosticConsumer.cpp.

static bool ConsumeNegativeIndicator | ( | StringRef & | GlobList | ) |
| static

Definition at line 123 of file ClangTidyDiagnosticConsumer.cpp.